# Send bundles to BuildAI

Users can send Flashbots bundles to one of the URLs below.

#### Bundle Relay URLs[​](https://docs.flashbots.net/flashbots-auction/advanced/rpc-endpoint#bundle-relay-urls) <a href="#bundle-relay-urls" id="bundle-relay-urls"></a>

| Network | URL                           |
| ------- | ----------------------------- |
| Mainnet | `https://buildai.net`         |
| Sepolia | `https://buildai.net/sepolia` |

JSON-RPC methods supported:

#### eth\_sendBundle[​](https://docs.flashbots.net/flashbots-auction/advanced/rpc-endpoint#eth_sendbundle) <a href="#eth_sendbundle" id="eth_sendbundle"></a>

`eth_sendBundle` can be used to send your bundles to our builder. The `eth_sendBundle` RPC has the following payload format:

```
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "eth_sendBundle",
  "params": [
    {
      txs,               // Array[String], A list of signed transactions to execute in an atomic bundle
      blockNumber,       // String, a hex encoded block number for which this bundle is valid on
      minTimestamp,      // (Optional) Number, the minimum timestamp for which this bundle is valid, in seconds since the unix epoch
      maxTimestamp,      // (Optional) Number, the maximum timestamp for which this bundle is valid, in seconds since the unix epoch
      revertingTxHashes, // (Optional) Array[String], A list of tx hashes that are allowed to revert
      refundPercent,     // (Optional) Number, the percentage (from 0 to 99) of bundle tip that should be passed back to the refundRecipient
      refundRecipient,   // (Optional) Address, account that will receive the refund from this bundle, defaults to the sender of the first transaction
    }
  ]
}
```

If the **refundPercent** field is set, the builder will pass refundPercent of the bundle tip minus the cost of the refund transfer to the **refundRecipient**. If the cost of the refund transfer is greater than the refund amount, the bundle will still be included, but no refund will occur.

example:

```
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "eth_sendBundle",
  "params": [
    {
      "txs": ["0x123abc...", "0x456def..."],
      "blockNumber": "0xb63dcd",
      "minTimestamp": 0,
      "maxTimestamp": 1615920932,
      "refundPercent": 10,
      "refundRecipient": "0x123abc..."
    }
  ]
}
```

example response:

```
{
  "jsonrpc": "2.0",
  "id": "1",
  "result": {
    "bundleHash": "0x2228f5d8954ce31dc1601a8ba264dbd401bf1428388ce88238932815c5d6f23f"
  }
}
```

**Note: Flashbots signature header is not required.**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.buildai.net/send-bundles-to-buildai.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
